import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import { AcknowledgeJobInput, AcknowledgeJobOutput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface AcknowledgeJobCommandInput extends AcknowledgeJobInput {}
export interface AcknowledgeJobCommandOutput
  extends AcknowledgeJobOutput,
    __MetadataBearer {}
declare const AcknowledgeJobCommand_base: {
  new (
    input: AcknowledgeJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    AcknowledgeJobCommandInput,
    AcknowledgeJobCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: AcknowledgeJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    AcknowledgeJobCommandInput,
    AcknowledgeJobCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class AcknowledgeJobCommand extends AcknowledgeJobCommand_base {}
