import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import { GetActionTypeInput, GetActionTypeOutput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface GetActionTypeCommandInput extends GetActionTypeInput {}
export interface GetActionTypeCommandOutput
  extends GetActionTypeOutput,
    __MetadataBearer {}
declare const GetActionTypeCommand_base: {
  new (
    input: GetActionTypeCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetActionTypeCommandInput,
    GetActionTypeCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: GetActionTypeCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetActionTypeCommandInput,
    GetActionTypeCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetActionTypeCommand extends GetActionTypeCommand_base {}
