import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import { GetJobDetailsInput, GetJobDetailsOutput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface GetJobDetailsCommandInput extends GetJobDetailsInput {}
export interface GetJobDetailsCommandOutput
  extends GetJobDetailsOutput,
    __MetadataBearer {}
declare const GetJobDetailsCommand_base: {
  new (
    input: GetJobDetailsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetJobDetailsCommandInput,
    GetJobDetailsCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: GetJobDetailsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetJobDetailsCommandInput,
    GetJobDetailsCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetJobDetailsCommand extends GetJobDetailsCommand_base {}
