import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import {
  GetPipelineStateInput,
  GetPipelineStateOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface GetPipelineStateCommandInput extends GetPipelineStateInput {}
export interface GetPipelineStateCommandOutput
  extends GetPipelineStateOutput,
    __MetadataBearer {}
declare const GetPipelineStateCommand_base: {
  new (
    input: GetPipelineStateCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetPipelineStateCommandInput,
    GetPipelineStateCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: GetPipelineStateCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetPipelineStateCommandInput,
    GetPipelineStateCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetPipelineStateCommand extends GetPipelineStateCommand_base {}
