import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import {
  PutActionRevisionInput,
  PutActionRevisionOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface PutActionRevisionCommandInput extends PutActionRevisionInput {}
export interface PutActionRevisionCommandOutput
  extends PutActionRevisionOutput,
    __MetadataBearer {}
declare const PutActionRevisionCommand_base: {
  new (
    input: PutActionRevisionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PutActionRevisionCommandInput,
    PutActionRevisionCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: PutActionRevisionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PutActionRevisionCommandInput,
    PutActionRevisionCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class PutActionRevisionCommand extends PutActionRevisionCommand_base {}
